Get an image thumbnail or PDF file for a fax

Operation:
faxFile
Parameters:
Name Type Description
id integer The fax id of the fax you wish to retrieve
type enum Either 's', 'l', or 'p'. Defaults to 'p' if not specified. See below.
api_key string Your api key
api_secret string Your api secret
Response:

A file for the fax you requested, if one exists (i.e. you didn't disable file storage with Phaxio.) The 's' and 'l' options allow you to access small and large JPG formatted thumbnails respectively. Small thumbnails are 129 x 167 px, and the large thumbnails are 300 x 388 px. The 'p' option allows you to download the entire fax file as a PDF. Default is a PDF file.

Example call:
curl https://api.phaxio.com/v1/faxFile \
        -F 'id=1234' \
        -F 'type=s' \
        -F 'api_key=API_KEY' \
        -F 'api_secret=API_SECRET'
                
Example Response:
A PDF file named 'fax-1234.pdf' containing all files sent for fax #1234.